Contenu | Rechercher | Menus

Annonce

Ubuntu 16.04 LTS
Commandez vos DVD et clés USB Ubuntu-fr !

Pour en savoir un peu plus sur l'équipe du forum.

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

#26 Le 22/10/2017, à 02:04

bluc

Re : [Ubuntu 17.10] Problèmes avec la nouvelle version ?

Ha, bon !...ok


Clevo : Ubuntu Gnome 16.04 (avec Dash to Dock)
Packard Bell : Deepin 15.4 ❖  Ubuntu 16.04 Unity et Gnome

Hors ligne

#27 Le 22/10/2017, à 07:59

grandtoubab

Re : [Ubuntu 17.10] Problèmes avec la nouvelle version ?

bluc a écrit :

admin: Ha ben ! je ne connaissais pas ça !...super ... merci
Pour le reste dommage... j'avais fait un lanceur et un clic de plus qu'avant pour lancer Gparted c'était pas la mer a boire , faut éviter alors ?...
Je vais donner un coup d’œil a la doc
Mais ce que je trouve bizarre c'est que se sont des logiciels on ne peut plus Gnome qui sont concernés

tu  peux ouvrir "la brèche" utiliser ton outil préféré et la refermer
j'ouvre

xhost +si:localuser:root
localuser:root being added to access control list

j'utilise mon outil
je ferme

 xhost -si:localuser:root
localuser:root being removed from access control list

Linux tout seul sur HP Pavilion DV7 et Acer aspire T650
Debian 10 Buster XFCE/Gnome3 sur sda1
Canon MG3650 en wifi

Hors ligne

#28 Le 22/10/2017, à 08:14

bluc

Re : [Ubuntu 17.10] Problèmes avec la nouvelle version ?

Merci


Clevo : Ubuntu Gnome 16.04 (avec Dash to Dock)
Packard Bell : Deepin 15.4 ❖  Ubuntu 16.04 Unity et Gnome

Hors ligne

#29 Le 22/10/2017, à 11:44

Ubuntu1988

Re : [Ubuntu 17.10] Problèmes avec la nouvelle version ?

Roschan a écrit :

Et ce "un jour" hypothétique ne concerne pas le sujet en question, à savoir Ubuntu 17.10

Beh si, car là, ça peut rentrer dans les mises à jour de sécurité donc si Synaptic et d'autres logiciels utilisables seulement en root connaissent un support de wayland, ça peut finir dans la 17.10, tout dépendra si il sera effectif et surtout, quand


J'ai perdu ! :(

Hors ligne

#30 Le 22/10/2017, à 12:07

Roschan

Re : [Ubuntu 17.10] Problèmes avec la nouvelle version ?

Ubuntu1988 a écrit :
Roschan a écrit :

Et ce "un jour" hypothétique ne concerne pas le sujet en question, à savoir Ubuntu 17.10

Beh si, car là, ça peut rentrer dans les mises à jour de sécurité donc si Synaptic et d'autres logiciels utilisables seulement en root connaissent un support de wayland, ça peut finir dans la 17.10, tout dépendra si il sera effectif et surtout, quand

Mise à jour de sécurité = corriger des failles de sécurité.

Explique-moi en quoi "modifier en profondeur la gestion des droits de Synaptic pour que Synaptic supporte Wayland" est-il une correction de faille de sécurité ? roll

Hors ligne

#31 Le 16/11/2017, à 21:05

Compte anonymisé

Re : [Ubuntu 17.10] Problèmes avec la nouvelle version ?

Salut,

Ok sur le principe, une application graphique ne doit pas posséder/accéder aux privilèges RooT.
Mais le terminal le permet-il encore ? sudo apt-get install ou sudo apt install ou sudo apt-get update && sudo apt-get upgrade sans stopper le serveur graphique ?

Dernière modification par Compte anonymisé (Le 16/11/2017, à 21:11)

#32 Le 16/11/2017, à 21:22

Roschan

Re : [Ubuntu 17.10] Problèmes avec la nouvelle version ?

Si je ne l'ai pas évoqué, et que j'ai pris la peine de préciser explicitement "GRAPHIQUES" (en majuscules et en gras), c'est sans doute qu'il n'y a aucun problème avec les autres programmes smile

Dernière modification par Roschan (Le 16/11/2017, à 21:22)

Hors ligne

#33 Le 17/11/2017, à 11:41

Compte anonymisé

Re : [Ubuntu 17.10] Problèmes avec la nouvelle version ?

Ok, graphique, oui je comprends et y adhère. J'entendais par là, gksu, gksudo etc etc
Nonobstant, je n'ai sans doute pas la connaissance pour comprendre pourquoi synaptic est recalé. La sécurité de la pile graphique ne dépend pas que du logiciel, mais de son mécanisme de contrôle. Ce logiciel est peut-être vieux mais il a le bon goût d'être complet (installation plusieurs paquets, mise à jour, gestion des dépendances) et surtout de bien faire son job,  gnome paquet je connais pas. En fait, la logithèque, gnome paquet, ce sont des surcouches graphiques à ce qui existe depuis très longtemps...(apt-get)

Ainsi un gnome paquet qui utilise Wayland sera plus sécurisé en E/S  que synaptic  sous Xorg avec polkit par exemple ? As-tu de la lecture technique à me proposer sur le sujet, j'ai faim de connaissance, merci wink

Tchô.

Dernière modification par Compte anonymisé (Le 17/11/2017, à 11:43)

#34 Le 17/11/2017, à 14:00

Roschan

Re : [Ubuntu 17.10] Problèmes avec la nouvelle version ?

La première chose qui me vient à l'esprit est ceci https://forum.ubuntu-fr.org/viewtopic.p … #p21783378

Hors ligne

#35 Le 17/11/2017, à 14:32

Compte anonymisé

Re : [Ubuntu 17.10] Problèmes avec la nouvelle version ?

Super, merci Roschan. Avec le post de didrocks, j'ai tout compris les enjeux smile
Enfin, je prends bonne note du paquet xwayland qui permettra à un logiciel X11 de s'exécuter quand même, le temps de la nécessaire migration.
Crdt.
Libc6.

#36 Le 23/11/2017, à 09:08

Caribou22

Re : [Ubuntu 17.10] Problèmes avec la nouvelle version ?

Salut smile

https://forum.ubuntu-fr.org/viewtopic.p … #p21829904

Roschan a écrit :

On va faire comme si le tout premier sujet visible de ce forum n'était pas consacré à expliquer que "gksu gedit" était impossible avec Wayland pour des raisons de sécurité.

Malheureusement, c'est difficile de mettre fin du jour au lendemain à plus de 10 ans d'habitudes entretenues avec Xorg. On verra encore beaucoup de fils de discussion similaires. hmm

Hors ligne

#37 Le 23/11/2017, à 09:54

grandtoubab

Re : [Ubuntu 17.10] Problèmes avec la nouvelle version ?

Salut
La théorie qui explique le risque de sécurité avec les applications graphiques utilisées avec les droits root est surement vraie.
Je l'admets très facilement pour un logiciel récent codé  " à l'arrache" et pas suffisamment testé
Mais pour un logiciel éprouvé comme Synaptic, qui fait partie du monde Debian depuis des lustres , j'ai beaucoup de mal à y croire
C'est la mode du principe de précaution, pour se couvrir, on ouvre les parapluies de la taille d'un parachute big_smile  comme dans beaucoup de domaine

Dernière modification par grandtoubab (Le 23/11/2017, à 09:58)


Linux tout seul sur HP Pavilion DV7 et Acer aspire T650
Debian 10 Buster XFCE/Gnome3 sur sda1
Canon MG3650 en wifi

Hors ligne

#38 Le 23/11/2017, à 11:21

Roschan

Re : [Ubuntu 17.10] Problèmes avec la nouvelle version ?

Un client X peut en écouter un autre ou lui faire croire à des inputs, c'est valable pour n'importe quoi, Synaptic y compris, ce n'est pas un problème de test des logiciels mais de la conception même de Xorg

Hors ligne